#ifndef _SNIFFOID__H_
#define _SNIFFOID__H_

#define ETH_SIZE            14
#define PRFX2INT(n)         (0xFFFFFFFF << (32 - (n)))
#define GETNET(ip, msk)     ((ip) & (msk))

/* IP fragment offset field */
#define IP_RF 0x8000            /* reserved fragment flag */
#define IP_DF 0x4000            /* don't fragment flag */
#define IP_MF 0x2000            /* more fragments flag */
#define IP_OFFMASK 0x1fff       /* mask for fragmenting bits */


struct zony {
    struct in_addr net;
    struct in_addr mask;
    uint64_t pkt;
    uint64_t preneseno;

    struct zony *next;
}; 


/*
 * ETHERNET HALVICKA - Prevzato z <netinet/if_ether.h>
 */
#if 0
struct ether_arp {
    struct  arphdr ea_hdr;      /* fixed-size header */
    u_int8_t arp_sha[ETH_ALEN]; /* sender hardware address */
    u_int8_t arp_spa[4];        /* sender protocol address */
    u_int8_t arp_tha[ETH_ALEN]; /* target hardware address */
    u_int8_t arp_tpa[4];        /* target protocol address */
};
#endif
/*
 * IP HALVICKA - Prevzato z <netinet/ip.h>
 */
struct ip_hdr {
#if __BYTE_ORDER == __LITTLE_ENDIAN
    unsigned int    ihl:4;
    unsigned int    version:4;
#elif __BYTE_ORDER == __BIG_ENDIAN
    unsigned int    version:4;
    unsigned int    ihl:4;
#else
# error "Please fix <bits/endian.h>"
#endif
    u_int8_t        tos;
    u_int16_t       tot_len;
    u_int16_t       id;
    u_int16_t       frag_offset;
    u_int8_t        ttl;
    u_int8_t        protocol;
    u_int16_t       checksum;
    struct in_addr  ip_src;
    struct in_addr  ip_dst;
};


#endif /* _SNIFFOID__H_ */


